summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Jose Maria Marin Carceles <chemarister@gmail.com>2010-05-13 00:58:24 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:58:24 +0200
commit90fd724a8dc2808ec96ce16bb53a51feea460d7f (patch)
tree3bb236f8954460857fcccc857ecbd6985a932ab7
parentf885c29e2c8d70d79915c5c15522525c9cbea4ec (diff)
downloadslackbuilds-90fd724a8dc2808ec96ce16bb53a51feea460d7f.tar.gz
slackbuilds-90fd724a8dc2808ec96ce16bb53a51feea460d7f.tar.xz
graphics/whyteboard: Added to 13.0 repository
-rw-r--r--graphics/whyteboard/README16
-rw-r--r--graphics/whyteboard/doinst.sh4
-rw-r--r--graphics/whyteboard/slack-desc19
-rw-r--r--graphics/whyteboard/whyteboard.SlackBuild76
-rw-r--r--graphics/whyteboard/whyteboard.desktop11
-rw-r--r--graphics/whyteboard/whyteboard.info10
-rw-r--r--graphics/whyteboard/whyteboard.pngbin0 -> 4548 bytes
7 files changed, 136 insertions, 0 deletions
diff --git a/graphics/whyteboard/README b/graphics/whyteboard/README
new file mode 100644
index 0000000000..e3a8f97b8b
--- /dev/null
+++ b/graphics/whyteboard/README
@@ -0,0 +1,16 @@
+Whyteboard is a painting whiteboard application that runs on Linux and
+Windows, that allows the annotation of PDF, PostScript documents and
+various image formats with common drawing tools (pen, rectangles, ellipses,
+text). A history of your drawing is stored, facilitating the replaying of
+your drawing.
+
+Whyteboard enables tabbed painting, with multiple sheets that can be drawn
+upon, with each sheet having its own live-updating thumbnail. This allows
+the editing of multiple documents or images inside a single instance of
+Whyteboard. Each sheet has its own undo and redo operations as well as
+its own history replay list.
+
+Requires python >=2.5 (included in slackware-13.0), wxPython >= 2.8
+available at Slackbuilds.org.
+
+An optional requirement is ImageMagick included in Slackware.
diff --git a/graphics/whyteboard/doinst.sh b/graphics/whyteboard/doinst.sh
new file mode 100644
index 0000000000..392c12adb9
--- /dev/null
+++ b/graphics/whyteboard/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
+fi
+
diff --git a/graphics/whyteboard/slack-desc b/graphics/whyteboard/slack-desc
new file mode 100644
index 0000000000..450b6c085b
--- /dev/null
+++ b/graphics/whyteboard/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+whyteboard: Whyteboard (A simple image, pdf and postcript annotator)
+whyteboard:
+whyteboard: Whyteboard is a painting application that allows
+whyteboard: the annotation of pdf, postcript documents and various image
+whyteboard: formats with common drawing tools (pen, rectangles, ellipses,
+whyteboard: text)
+whyteboard:
+whyteboard: Homepage: http://code.google.com/p/whyteboard
+whyteboard:
+whyteboard:
+whyteboard:
diff --git a/graphics/whyteboard/whyteboard.SlackBuild b/graphics/whyteboard/whyteboard.SlackBuild
new file mode 100644
index 0000000000..44ccf301d6
--- /dev/null
+++ b/graphics/whyteboard/whyteboard.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+#
+# Slackware build script for Whyteboard
+#
+# Copyright 2009 Jose Maria Marin Carceles
+#
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=whyteboard
+VERSION=${VERSION:-0.37.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SRCVER=$(echo $VERSION|tr -d ".")
+
+if [ "$ARCH" = "i486" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+
+mkdir -p $PKG/usr/bin \
+ $PKG/usr/lib$LIBDIRSUFFIX/$PRGNAM \
+ $PKG/usr/doc/$PRGNAM-$VERSION \
+ $PKG/usr/share/{applications,pixmaps}
+
+cp *.py $PKG/usr/lib$LIBDIRSUFFIX/$PRGNAM
+cp *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cp whyteboard-help/*.htm $PKG/usr/doc/$PRGNAM-$VERSION
+cd $PKG/usr/bin
+ln -s ../lib/$PRGNAM/whyteboard.py whyteboard
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+cp $CWD/$PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/whyteboard/whyteboard.desktop b/graphics/whyteboard/whyteboard.desktop
new file mode 100644
index 0000000000..074cc0a349
--- /dev/null
+++ b/graphics/whyteboard/whyteboard.desktop
@@ -0,0 +1,11 @@
+
+[Desktop Entry]
+Exec=whyteboard
+Icon=/usr/share/pixmaps/whyteboard.png
+Type=Application
+Categories=Graphics;
+Name=whyteboard.desktop
+GenericName=
+Comment=A simple pdf and image annotator
+MimeType=x-whyteboard
+StartupNotify=true
diff --git a/graphics/whyteboard/whyteboard.info b/graphics/whyteboard/whyteboard.info
new file mode 100644
index 0000000000..22219682a1
--- /dev/null
+++ b/graphics/whyteboard/whyteboard.info
@@ -0,0 +1,10 @@
+PRGNAM="whyteboard"
+VERSION="0.37.0"
+HOMEPAGE="http://code.google.com/p/whyteboard"
+DOWNLOAD="http://whyteboard.googlecode.com/files/whyteboard-0.37.0.tar.gz"
+MD5SUM="deea69ebc5dc68d849b293d3695984c9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Jose Maria Marin Carceles"
+EMAIL="chemarister@gmail.com"
+APPROVED="dsomero"
diff --git a/graphics/whyteboard/whyteboard.png b/graphics/whyteboard/whyteboard.png
new file mode 100644
index 0000000000..09dfe57c33
--- /dev/null
+++ b/graphics/whyteboard/whyteboard.png
Binary files differ